/********** error **********/
.error_content {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 64px;
    text-align: center;
    align-items: center;
    justify-content: center;
    padding: 80px 20px 0;
    height: calc(100vh - 251px);
}
.error_content .error_text_wrap h1 {
    font-size: 40px;
    font-weight: 700;
    word-break: keep-all;
    margin: 40px 0 20px;
}
.error_content .error_text_wrap p {
    font-size: 18px;
    line-height: 26px;
    color: #333;
    word-break: keep-all;
}
.error_btn_wrap {
    display: flex;
    gap: 12px;
}
.error_btn_wrap .btn {
    width: 160px;
}

@media (max-width: 768px) {
    .error_content {
        gap: 40px;
        height: calc(100vh - 196px);
        padding: 64px 20px 0;
    }
    .error_content .error_text_wrap img {
        width: 80px;
        height: 63px;
    }
    .error_content .error_text_wrap h1 {
        font-size: 24px;
        margin: 32px 0 12px;
    }
    .error_content .error_text_wrap p {
        font-size: 15px;
        line-height: 22px;
    }
    .error_btn_wrap {
        gap: 8px;
    }
    .error_btn_wrap .btn {
        width: 128px;
        height: 44px;
    }
}

/********** modal **********/
/* 공통 */
.modal_wrap {
    position: fixed;
    z-index: 200;
    top: 0;
    left: 0;
    display: flex !important;
    visibility: hidden;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.3s ease-out;
}
.modal_wrap.show {
    visibility: visible;
    opacity: 1;
}
.modal_wrap .overlay {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
}
.modal_content {
    position: absolute;
    top: 50%;
    left: 50%;
    width: calc(100% - 40px);
    max-width: 1000px;
    margin: 0 auto;
    transform: translate(-50%, -50%);
    background: #fff;
    border-radius: 10px;
    max-height: 90vh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}
.modal_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 40px 48px;
}
.modal_header .modal_title {
    font-size: 40px;
    font-weight: 700;
}
.modal_header .modal_close_btn {
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
}
.modal_title_none {
    padding: 40px 48px 16px;
}
.modal_body {
    flex: 1;
    overflow-y: auto;
    padding: 0 48px;
}
.modal_body_footer_none {
    padding: 0 48px 48px;
}
.modal_footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px 40px 48px;
    flex-shrink: 0;
}
.modal_footer .btn {
    min-width: 200px;
    height: 48px;
    font-weight: 600;
}

@media (max-width: 768px) {
    .modal_header {
        padding: 24px 20px;
    }
    .modal_header .modal_title {
        font-size: 26px;
        line-height: 26px;
    }
    .modal_title_none {
        padding: 24px 20px 8px;
    }
    .modal_header .modal_close_btn {
        width: 24px;
        height: 24px;
    }
    .modal_header .modal_close_btn img {
        width: 100%;
    }
    .modal_body {
        padding: 0 20px;
    }
    .modal_body_footer_none {
        padding: 0 20px 30px;
    }
    .modal_footer {
        padding: 32px 20px 40px;
    }
    .modal_footer .btn {
        min-width: 100%;
    }
}

/* alert */
.modal_alert {
    padding: 20px 32px 24px;
    max-width: 480px;
    background: #fff;
    border-radius: 20px;
    max-height: fit-content;
    height: auto;
}
.modal_alert.info {
    border: 2px solid #c6c6c6;
}
.modal_alert.success {
    border: 2px solid #acf7bc;
}
.modal_alert.warning {
    border: 2px solid #ffe79d;
}
.modal_alert.error {
    border: 2px solid #ffd1d0;
}
.modal_alert.question {
    border: 2px solid #cbbffc;
}
.modal_alert .modal_body {
    display: flex;
    flex-direction: column;
    padding: 0;
    max-height: fit-content;
    height: auto;
}
.modal_alert .modal_body p {
    font-size: 15px;
}
.modal_alert .modal_body img {
    display: block;
    width: 32px;
    height: 32px;
    margin-bottom: 12px;
}
.modal_alert .modal_footer {
    padding: 0;
    margin-top: 24px;
    justify-content: flex-end;
    gap: 8px;
}
.modal_alert .modal_footer .btn {
    min-width: 80px;
    height: 32px;
    border-radius: 4px;
    font-size: 14px;
    width: auto;
}

@media (max-width: 599px) {
    .modal_alert {
        max-width: calc(100% - 40px);
    }
    .modal_alert .modal_footer {
        justify-content: center;
    }
    .modal_alert .modal_body img {
        width: 100%;
    }
    .modal_alert .modal_body p {
        text-align: center;
    }
}

/* 컨설팅 신청 모달 */
.consulting_wrap .essential_text {
    font-size: 15px;
    color: #d72d2c;
    text-align: right;
    margin-bottom: 20px;
    font-weight: 600;
}
.consulting_wrap .form_wrap + .form_wrap {
    margin-top: 48px;
}
.consulting_wrap .form_wrap .title {
    padding-bottom: 16px;
    font-size: 22px;
    font-weight: 700;
    border-bottom: 1px solid #555;
    margin-bottom: 32px;
}
.consulting_wrap .form_wrap .form_head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 16px;
    margin-bottom: 32px;
    border-bottom: 1px solid #555;
}
.consulting_wrap .form_wrap .form_head .title {
    padding-bottom: 0;
    margin-bottom: 0;
    border-bottom: 0;
}
.consulting_wrap .form_wrap .form_head .essential_text {
    margin-bottom: 0;
}
.consulting_wrap .form_agree_wrap .title {
    border-bottom: 0;
    margin-bottom: 0;
}
.consulting_wrap .form_wrap .form_half {
    display: flex;
    gap: 40px;
}
.consulting_wrap .form_wrap .form_half + .form_half {
    margin-top: 26px;
}
.consulting_wrap .form_wrap .form_group {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.consulting_wrap .form_wrap .form_group .label {
    font-size: 18px;
    font-weight: 600;
}
.consulting_wrap .form_wrap .form_group .label .red_dot {
    color: #d72d2c;
    font-weight: 600;
}
.consulting_wrap .form_wrap > .form_group {
    margin-top: 32px;
}
.consulting_wrap .form_wrap .form_group .file_group {
    display: flex;
    gap: 8px;
    position: relative;
}
.consulting_wrap .form_wrap .form_group .file_group .upload_name {
    width: calc(100% - 128px);
    padding: 0 48px 0 20px;
}
.consulting_wrap .form_wrap .form_group .file_group .file_select {
    width: 120px;
    height: 48px;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #555;
    font-size: 16px;
    color: #fff;
}
.consulting_wrap .form_wrap .form_group .file_group .file_delete_btn {
    width: 48px;
    height: 48px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 128px;
    display: none;
    align-items: center;
    justify-content: center;
    background: transparent;
}
.consulting_wrap .form_wrap .form_group .file_group img {
    display: block;
}
.consulting_wrap .form_wrap .agree_wrap .agree_table {
    border-top: 1px solid #555;
}
.consulting_wrap .form_wrap .agree_wrap .agree_table .item {
    border-bottom: 1px solid #ddd;
    display: flex;
    align-items: center;
}
.consulting_wrap .form_wrap .agree_wrap .agree_table .item .label {
    padding: 16px;
    width: 160px;
    font-size: 15px;
    font-weight: 600;
    line-height: 15px;
}
.consulting_wrap .form_wrap .agree_wrap .agree_table .item .text {
    border-left: 1px solid #ddd;
    width: calc(100% - 160px);
    padding: 16px;
    font-size: 15px;
    line-height: 15px;
    color: #333;
}
.consulting_wrap .form_wrap .agree_wrap .desc {
    font-size: 15px;
    color: #555;
    margin-top: 12px;
}
.consulting_wrap .form_wrap .agree_wrap .checks {
    margin-top: 20px;
}
.consulting_wrap .form_wrap .agree_wrap .checks .red_dot {
    color: #d72d2c;
    font-weight: 700;
}
.consulting_wrap .form_wrap .agree_wrap .explain_wrap {
    background: #f4f4f4;
    border-radius: 10px;
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-top: 26px;
}
.consulting_wrap .form_wrap .agree_wrap .explain_wrap .text {
    font-size: 16px;
    color: #555;
    word-break: auto-phrase;
}
.consulting_wrap .form_wrap .agree_wrap .explain_wrap .time {
    font-size: 15px;
    font-weight: 600;
    color: #333;
}

@media (max-width: 768px) {
    .consulting_wrap .essential_text {
        font-size: 14px;
        line-height: 14px;
    }
    .consulting_wrap .form_wrap .title {
        font-size: 18px;
        line-height: 18px;
        padding-bottom: 12px;
        margin-bottom: 20px;
    }
    .consulting_wrap .form_wrap .form_head {
        padding-bottom: 12px;
        margin-bottom: 20px;
    }
    .consulting_wrap .form_wrap .form_head .title {
        padding-bottom: 0;
        margin-bottom: 0;
    }
    .consulting_wrap .form_wrap .form_head .essential_text {
        font-size: 14px;
        line-height: 14px;
    }
    .consulting_wrap .form_agree_wrap .title {
        margin-bottom: 0;
    }
    .consulting_wrap .form_wrap + .form_wrap {
        margin-top: 32px;
    }
    .consulting_wrap .form_wrap .form_half {
        flex-direction: column;
        gap: 16px;
    }
    .consulting_wrap .form_wrap .form_half + .form_half {
        margin-top: 16px;
    }
    .consulting_wrap .form_wrap .form_group {
        gap: 8px;
    }
    .consulting_wrap .form_wrap .form_group .label {
        font-size: 16px;
        line-height: 16px;
    }
    .consulting_wrap .form_wrap .form_group input {
        height: 40px;
        font-size: 15px;
        padding: 0 12px;
    }
    .consulting_wrap .form_wrap .form_group textarea {
        min-height: 160px;
        font-size: 15px;
    }
    .consulting_wrap .form_wrap .form_group .file_group .upload_name {
        width: calc(100% - 78px);
        background: #fff;
        padding: 0 40px 0 12px;
    }
    .consulting_wrap .form_wrap .form_group .file_group .file_select {
        width: 70px;
        height: 40px;
        font-size: 14px;
    }
    .consulting_wrap .form_wrap .form_group .file_group .file_delete_btn {
        width: 40px;
        height: 40px;
        right: 78px;
    }
    .consulting_wrap .form_wrap .agree_wrap .agree_table .item .label {
        width: 85px;
        font-size: 14px;
        line-height: 20px;
        padding: 12px;
    }
    .consulting_wrap .form_wrap .agree_wrap .agree_table .item .text {
        width: calc(100% - 85px);
        padding: 12px;
        font-size: 14px;
        line-height: 20px;
    }
    .consulting_wrap .form_wrap .agree_wrap .desc {
        font-size: 13px;
        line-height: 18px;
        margin-top: 16px;
    }
    .consulting_wrap .form_wrap .agree_wrap .desc br {
        display: none;
    }
    .consulting_wrap .form_wrap .agree_wrap .checks {
        margin-top: 20px;
    }
    .consulting_wrap .form_wrap .agree_wrap .explain_wrap {
        gap: 12px;
        margin-top: 24px;
    }
    .consulting_wrap .form_wrap .agree_wrap .explain_wrap .text {
        font-size: 14px;
        line-height: 18px;
    }
    .consulting_wrap .form_wrap .agree_wrap .explain_wrap .time {
        font-size: 13px;
        line-height: 17px;
    }
}

/* 메뉴 생기면 지워야할 css */
.header .lang_btn {
    pointer-events: none;
    opacity: 0;
}

@media (max-width: 768px) {
    .header .lang_btn {
        display: none;
    }
}
